CVE-2018-9138

MEDIUM
New! CVE Severity Now Using CVSS v3

The calculated severity for CVEs has been updated to use CVSS v3 by default. CVEs that do not have a CVSS v3 score will fall back CVSS v2 for calculating severity. Severity display preferences can be toggled in the settings dropdown.

Description

An issue was discovered in cplus-dem.c in GNU libiberty, as distributed in GNU Binutils 2.29 and 2.30. Stack Exhaustion occurs in the C++ demangling functions provided by libiberty, and there are recursive stack frames: demangle_nested_args, demangle_args, do_arg, and do_type.

References

https://sourceware.org/bugzilla/show_bug.cgi?id=23008

https://usn.ubuntu.com/4326-1/

https://usn.ubuntu.com/4336-1/

Details

Source: MITRE

Published: 2018-03-30

Updated: 2020-04-21

Type: CWE-674

Risk Information

CVSS v2

Base Score: 4.3

Vector: AV:N/AC:M/Au:N/C:N/I:N/A:P

Impact Score: 2.9

Exploitability Score: 8.6

Severity: MEDIUM

CVSS v3

Base Score: 5.5

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:N/I:N/A:H

Impact Score: 3.6

Exploitability Score: 1.8

Severity: MEDIUM

Tenable Plugins

View all (4 total)

IDNameProductFamilySeverity
135966Ubuntu 18.04 LTS : GNU binutils vulnerabilities (USN-4336-1)NessusUbuntu Local Security Checks
critical
135398Ubuntu 16.04 LTS / 18.04 LTS : libiberty vulnerabilities (USN-4326-1)NessusUbuntu Local Security Checks
high
132275EulerOS 2.0 SP3 : binutils (EulerOS-SA-2019-2558)NessusHuawei Local Security Checks
critical
131604EulerOS 2.0 SP2 : binutils (EulerOS-SA-2019-2450)NessusHuawei Local Security Checks
critical